QGIS Application - Bug report #20172
Adding a new vertex ignore snap on polygon whit self intersection
2018-10-20 09:17 PM - Antonio Viscomi

Status: Closed

Priority: High

Assignee:

Category: Editing

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 27993
Description

Hi all,

| noticed another issues...

If there are some topological errors,

and | edit the feature to solve them,

in some polygon with self intersection, adding a new vertex on polygon ignore snap settings adding the new vertex anywhere in the
shapefile and snapping this vertex to any polygon very far to the poligon | need to edit.

Then this point cause a hole that goes through the entire areal extension of map.

Regards

Antonio

History

#1 - 2018-10-22 09:30 AM - Giovanni Manghi
- Status changed from Open to Feedback

It could be me, but | have not understand exactly what the issue is. Can you add detailed step by step operations to follow? Thanks.

#2 - 2018-10-22 09:53 AM - Antonio Viscomi

Giovanni Manghi wrote:

It could be me, but | have not understand exactly what the issue is. Can you add detailed step by step operations to follow? Thanks.

| need to edit a shapefile with topological error in (self intersections) the steps are:

then the added vertex it will cause a hole that goes through the shapefile;

#3 - 2018-10-22 10:05 AM - Antonio Viscomi

-l try to add a vertex to a polygon with self intersection in;
-the vertex that | need to add don't snap to the neae adjacent polygon but on a far polygon in the same shape;
why these lines are underlined?

sorry | don't know how explain it better

#4 - 2018-10-22 10:35 AM - Giovanni Manghi

sorry | don't know how explain it better

make a screencast, thanks.

#5 - 2018-10-22 03:21 PM - Antonio Viscomi

Giovanni Manghi wrote:

sorry | don't know how explain it better

make a screencast, thanks.

Sorry,

I'm not able to reproduce this issue because I'd solved topological errors in the shapefile on which | noticed the issues appear.

I'll capture a screencast if the issues will appear again on other file
Greetings

#6 - 2018-10-22 07:28 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed
